summaryrefslogtreecommitdiffstats
path: root/.local/bin/statusbar/sb-news
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2020-12-25 08:02:50 -0500
committerLuke Smith <luke@lukesmith.xyz>2020-12-25 08:02:50 -0500
commit2619a88fcd94cbd4b2caa719ba926ae0013fb4ec (patch)
treeacb240c6afee6a3ee15cf64c9788b5ed053ebe97 /.local/bin/statusbar/sb-news
parent741e9298bd7b0dabeea26dfe039274afca572f6d (diff)
downloadeibhear-2619a88fcd94cbd4b2caa719ba926ae0013fb4ec.tar.gz
eibhear-2619a88fcd94cbd4b2caa719ba926ae0013fb4ec.tar.zst
eibhear-2619a88fcd94cbd4b2caa719ba926ae0013fb4ec.zip
statusbar scripts now with sb- to avoid conflicts
update dwmblocks build to avoid errors
Diffstat (limited to '.local/bin/statusbar/sb-news')
-rwxr-xr-x.local/bin/statusbar/sb-news17
1 files changed, 17 insertions, 0 deletions
diff --git a/.local/bin/statusbar/sb-news b/.local/bin/statusbar/sb-news
new file mode 100755
index 0000000..fe701db
--- /dev/null
+++ b/.local/bin/statusbar/sb-news
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+# Displays number of unread news items and an loading icon if updating.
+# When clicked, brings up `newsboat`.
+
+case $BLOCK_BUTTON in
+ 1) setsid "$TERMINAL" -e newsboat ;;
+ 2) setsid -f newsup >/dev/null exit ;;
+ 3) notify-send "📰 News module" "\- Shows unread news items
+- Shows 🔃 if updating with \`newsup\`
+- Left click opens newsboat
+- Middle click syncs RSS feeds
+<b>Note:</b> Only one instance of newsboat (including updates) may be running at a time." ;;
+ 6) "$TERMINAL" -e "$EDITOR" "$0" ;;
+esac
+
+ cat /tmp/newsupdate 2>/dev/null || echo "$(newsboat -x print-unread | awk '{ if($1>0) print "📰" $1}')$(cat "${XDG_CONFIG_HOME:-$HOME/.config}"/newsboat/.update 2>/dev/null)"